export default {
    methods: {
        playlistDuration(playlist) {
            if (!playlist.entries) {
                return 0
            }

            let delta = 0
            const totalDuration = playlist.entries.reduce((acc, entry) => {
                const newDuration = acc + this.durationInSeconds(entry.duration)

                if (Number.isNaN(newDuration)) {
                    return acc
                }

                return newDuration
            }, 0)

            const unknowns = playlist.entries.filter(entry => !entry.duration)
            if (unknowns.length === 1) {
                delta = this.durationInSeconds(this.timeslotDurationInNs) - totalDuration
            }

            const totalDurationInNanoseconds = (totalDuration + delta) * 1000 * 1000 * 1000
            return this.prettyNanoseconds(totalDurationInNanoseconds)
        }
    }
}
